> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get G/L Account by ID

GET https://api.npretail.app/{tenant}/{environment}/{company}/generalledger/account/{id}

Retrieves a single G/L account by its system ID.

Reference: https://docs.navipartner.com/apis/api-reference/finance/glaccount/get-account-by-id

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `id` (UUID, required) — The UUID of the G/L Account.

## Response

### 200

- `id` (UUID, required) — The unique identifier for the G/L Account (SystemId).
- `number` (string, required) — The G/L account number.
- `displayName` (string, required) — The display name of the G/L account.
- `category` (string, required) — The category of the G/L account (e.g., Assets, Liabilities, Equity, Income, Cost of Goods Sold, Expense).
- `subCategory` (string, required) — The descriptive subcategory of the G/L account.
- `blocked` (boolean, required) — Specifies if the G/L account is blocked from posting.
- `accountType` (string, required) — The type of account (e.g., Posting, Heading, Total, Begin-Total, End-Total).
- `directPosting` (boolean, required) — Specifies if direct posting is allowed to this G/L account.
- `netChange` (double, required) — The net change in the G/L account balance. This is a calculated flowfield.
- `consolidationTranslationMethod` (string, required) — The consolidation translation method (e.g., Average Rate (Manual), Closing Rate, Historical Rate).
- `consolidationDebitAccount` (string, required) — The consolidation debit account number.
- `consolidationCreditAccount` (string, required) — The consolidation credit account number.
- `excludeFromConsolidation` (boolean, required) — Specifies if this G/L account should be excluded from consolidation.
- `lastModifiedDateTime` (datetime, required) — The date and time the G/L account was last modified.
- `rowVersion` (string, optional) — The row version for data synchronization, required for the 'sync' parameter.

## Examples

**Response**

```json
{
  "id": "a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6",
  "number": "10100",
  "displayName": "Cash",
  "category": "Assets",
  "subCategory": "Cash and Cash Equivalents",
  "blocked": false,
  "accountType": "Posting",
  "directPosting": true,
  "netChange": 150250.75,
  "consolidationTranslationMethod": "Average Rate (Manual)",
  "consolidationDebitAccount": "",
  "consolidationCreditAccount": "",
  "excludeFromConsolidation": false,
  "lastModifiedDateTime": "2025-06-23T10:30:00Z",
  "rowVersion": "0x0000000001D8E7C4"
}
```

**SDK Code**

```python Get a single GL Account
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get a single GL Account
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get a single GL Account
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get a single GL Account
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Get a single GL Account
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Get a single GL Account
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Get a single GL Account
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Get a single GL Account
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./generalledger/account/a1b2c3d4-e5f6-a7b8-c9d0-e1f2a3b4c5d6")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```